Summary:      Real-time software synthesizer
Name:         fluidsynth
Version:      1.0.7a
Release:      1
URL:          http://www.fluidsynth.org/
Source0:      %{name}-%{version}.tar.gz
License:      LGPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Requires:     jack-audio-connection-kit >= 0.66.3
Obsoletes:    iiwusynth

BuildRequires: gcc-c++ pkgconfig libtool autoconf automake e2fsprogs-devel
BuildRequires: alsa-lib-devel ladspa-devel ncurses-devel readline-devel
BuildRequires: jack-audio-connection-kit-devel
%{!?rh73:BuildRequires: lash-devel}
%{?rh9:BuildRequires: midishare-devel}
%{?rh80:BuildRequires: midishare-devel}
%{?rh73:BuildRequires: midishare-devel}

%description
FluidSynth is a real-time software synthesizer based on the SoundFont
2 specifications. It is a "software synthesizer". FluidSynth can read
MIDI events from the MIDI input device and render them to the audio
device. It can also play MIDI files (note: FluidSynth was previously
called IIWU Synth).

%package -n lib%{name}
Summary:   Real-time software synthesizer runtime libraries
Group:     System Environment/Libraries

%description -n lib%{name}
FluidSynth is a real-time software synthesizer based on the SoundFont
2 specifications. It is a "software synthesizer". This package holds
the runtime shared libraries.

%package -n lib%{name}-devel
Summary:   Real-time software synthesizer development files
Group:     Development/Libraries
Requires:  lib%{name} = %{version}-%{release}
Obsoletes: libiiwusynth-devel

%description -n lib%{name}-devel
FluidSynth is a real-time software synthesizer based on the SoundFont
2 specifications. It is a "software synthesizer". This package holds
header files for building programs that link against fluidsynth

%prep
%setup -q -n fluidsynth-1.0.7

%build
%configure --enable-jack-support --enable-ladspa \
%{?rh9:    --enable-midishare \ }
%{?rh80:   --enable-midishare \ }
%{?rh73:   --enable-midishare \ }
%{?rh73:   --disable-lash}

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%post -n lib%{name} -p /sbin/ldconfig

%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/fluid*
%{_mandir}/man1/*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libfluidsynth.so.1
%{_libdir}/libfluidsynth.so.1.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/fluidsynth.h
%{_includedir}/fluidsynth
%{_libdir}/libfluidsynth.a
%exclude %{_libdir}/libfluidsynth.la
%{_libdir}/libfluidsynth.so
%{_libdir}/pkgconfig/*

%changelog
* Fri Nov 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon May  1 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.7-1
- updated to 1.0.7
- exclude .la files

* Fri Nov  8 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- update to 1.0.6
- no longer requires gcc4 patch
- build requires lash (name change from ladcca)
- change name of ladcca to lash through the sources

* Wed Jun 22 2005 Mario Torre <mppr_kris@tiscali.it>
- added patch to compile with gcc4

* Tue Dec 21 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Fri Sep 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.5-1
- updated to 1.0.5
- ladcca patch no longer needed

* Wed May 19 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added defattr to libfluidsynth

* Wed May 12 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added buildrequires, made midishare optional

* Tue Feb 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.3-3
- enabled ladcca 0.4.0 support (patch0)

* Tue Oct 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.3-2
- enabled midishare support

* Tue Aug 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.3-1
- updated to 1.0.3, added release tags

* Fri Jul 25 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.2-1
- updated to 1.0.2

* Thu May  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.1-1
- changed over to new fluidsynth name
- we obsolete only iiwusynth and libiiwusynth-devel, we leave libiiwusynth
  there for now for older programs to use. We cannot install both iiwusynth
  and fluidsynth as there is a pkgconfig file in libiiwusynth-devel named
  fluidsynth.pc.

* Wed Apr  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.4-4.cvs
- rebuild for jack 0.66.3, added explicit requires for it

* Fri Mar  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.4-3.cvs
- added patches for jack buffer size callback and alsa snd_pcm_drop

* Thu Mar  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.4-2.cvs
- cvs: 20030306.150630

* Thu Feb 27 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.4-1
- changed over to cvs version, includes jack and ladcca support
- disable ladcca support under redhat 7.2/7.3, can't get it to 
  compile
- split libraries into separate packages (from mandrake spec file)

* Sun Nov 10 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.2-2
- added patch to rename jack alsa ports for jack >= 0.40
- added explicit dependency to jack

* Mon Oct 21 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu>
- Initial build.
